### Constructor

# Eog URIConverter new

#### Declaration [src]

    EogURIConverter*
    eog_uri_converter_new (
      GFile* base_file,
      GdkPixbufFormat* img_format,
      const char* format_string
    )

#### Description

No description available.

#### Parameters

`base_file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`img_format`

  Type: `GdkPixbufFormat`

  No description available.

  The data is owned by the caller of the function.

`format_string`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EogURIConverter`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.